SIS96X_GET_MAC_ADDR(9)

NAME
sis96x_get_mac_addr - Get MAC address for SiS962 or SiS963 model

SYNOPSIS

int __devinit sis96x_get_mac_addr (struct pci_dev * pci_dev, struct net_device * net_dev);

ARGUMENTS

pci_dev
    the sis900 pci device

net_dev
    the net device to get address for

DESCRIPTION

SiS962 or SiS963 model, use EEPROM to store MAC address. And EEPROM is shared by LAN and 1394. When access EEPROM, send EEREQ signal to hardware first and wait for EEGNT. If EEGNT is ON, EEPROM is permitted to be access by LAN, otherwise is not. After MAC address is read from EEPROM, send EEDONE signal to refuse EEPROM access by LAN. The EEPROM map of SiS962 or SiS963 is different to SiS900. The signature field in SiS962 or SiS963 spec is meaningless. MAC address is read into net_dev->dev_addr.

AUTHORS
Ollie Lho, Lei Chun Chang.